Page MenuHomePhabricator

Language fallback for Lzh (Zh-classical) should be Zh_hant
Closed, ResolvedPublic

Event Timeline

Lantern created this task.Feb 1 2016, 8:07 AM
Lantern raised the priority of this task from to Normal.
Lantern updated the task description. (Show Details)
Lantern added a subscriber: liangent.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 1 2016, 8:07 AM
Aklapper renamed this task from Lzh (Zh-classical) should fall back to Zh_hant to Language fallback for Lzh (Zh-classical) should be Zh_hant.Feb 1 2016, 8:46 AM
Aklapper lowered the priority of this task from Normal to Low.
Aklapper set Security to None.

As far as I can see, there's no real discussion there, or am I mistaken?

Lantern added a subscriber: Lantern.EditedFeb 2 2016, 3:36 AM

You are right. This wiki has few people, and many messages are left untranslated, which makes viewers confused.

In 2014 there was a same proposal, but they obviously didn't know how to report the bug.

Well, it looks like a reasonable request to me after all, that a Chinese wiki fallback missing messages to another Chinese dialect, so I'm taking this. Just a question, do you want fallback for zh or zh-hans, zh-hant, etc. Sorry for my ignorance, but I get lost with the so many ways to speak Chinese. I'd say that we should also fallback to a language that has all or the vast majority of messages translated too. Ping to @siebrand and @Nikerabbit for their opinions.

Lantern added a comment.EditedFeb 3 2016, 2:50 AM

Comparing file sizes in mediawiki/languages/i18n/, zh-hans and zh-hant have most messages. zh is an empty shell combined by them, and others like zh-hk zh-sg zh-tw are regional words.
Both lzh and zh-hant use traditional Chinese characters, so zh-hant only seems enough.

BTW, should we do samething for Cantonese (yue)? (If someone says OK then please let him to create another task).

Change 268189 had a related patch set uploaded (by MarcoAurelio):
Setting fallback to zh-hans for lzh

https://gerrit.wikimedia.org/r/268189

Change 268189 abandoned by MarcoAurelio:
Setting fallback to zh-hans for lzh

Reason:
Re-doing from the start.

https://gerrit.wikimedia.org/r/268189

Change 272499 had a related patch set uploaded (by MarcoAurelio):
Setting fallback configuration for lzh to zh-hant

https://gerrit.wikimedia.org/r/272499

MarcoAurelio removed MarcoAurelio as the assignee of this task.Feb 29 2016, 5:24 PM

Since I can't resolve this task myself as it depends on some Wikibase stuff that is not being resolved.

Change 272499 abandoned by MarcoAurelio:
Set fallback for lzh to zh-hant

Reason:
It seems there's no interest in getting the test error fixed anytime soon, thus preventing this patch to me merged, wich now even needs manual rebase.

https://gerrit.wikimedia.org/r/272499

Change 272499 restored by MarcoAurelio:
Set fallback for lzh to zh-hant

Reason:
Per T126944#2194839

https://gerrit.wikimedia.org/r/272499

Aklapper reopened this task as Open.Apr 28 2016, 3:03 PM
MarcoAurelio changed the task status from Open to Stalled.Jul 21 2016, 9:28 AM

We can't move until T126944 it seems, otherwise my patch will continue to fail. Although I'm exploring @siebrand option of adding a fake "depends on" commit message to get this unlocked. I'm not well versed at that so I hope you understand my reticence to that.

MarcoAurelio changed the task status from Stalled to Open.Aug 24 2016, 3:05 PM
MarcoAurelio claimed this task.

It seems that the Wikibase issues are now fixed and the patch is passing jenkins-tests, so maybe we can merge the mediawiki/core patch now and get this resolved?

Change 272499 merged by jenkins-bot:
Set fallback language for lzh to zh-hant

https://gerrit.wikimedia.org/r/272499

MarcoAurelio closed this task as Resolved.Sep 17 2016, 10:05 AM

Patch is merged. I'll be live on the wiki on the next mediawiki train.

LNDDYL added a subscriber: LNDDYL.Jan 6 2018, 12:01 PM
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptJan 6 2018, 12:01 PM